Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 666004

Summary: net-misc/asterisk: Validate DEPEND on virtual/mysql
Product: Gentoo Linux Reporter: Brian Evans <grknight>
Component: Current packagesAssignee: Jaco Kroon <jaco>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 763480    

Description Brian Evans Gentoo Infrastructure gentoo-dev 2018-09-12 17:34:38 UTC
THIS IS A MASS FILING TO ALL PACKAGE WITH A DEPEND ON virtual/mysql

As was announced on the gentoo-dev-announce mailing list[1],
virtual/mysql is no longer viable to depend on providing the client libraries
or the mysql_config tool.

Most uses of DEPEND="virtual/mysql" (or conditionals based upon it) will not
work in the future.

If this package (optionally) depends on libmysqlclient.so* or mysql_config for
building, you will need to have dev-db/mysql-connector-c as the DEPEND/RDEPEND.

If this package (optionally) depends on libmariadb.so* or mariadb_config for
building, you will need to have dev-db/mariadb-connector-c as the
DEPEND/RDEPEND.

If this package requires the server running locally, virtual/mysql is
acceptible for RDEPEND and only in DEPEND when tests demand it.

The rare exception when server only files are required at build time should you
keep a compatible server listed.

After 60 days, roughly mid-October 2018, remaining packages will be forcefully
changed to mysql-connector-c with little or no testing. The server packages
will drop their compatibility DEPEND shortly after.

[1] https://archives.gentoo.org/gentoo-dev-announce/message/618f39bce863911d8955ee9f83636ca4
Comment 1 Jaco Kroon 2019-11-14 12:27:25 UTC
I've updated virtual/mysql to dev-db/mysql-connector-c for pending 13.29.1 ebuild (currently in github, PR pending).
Comment 2 Larry the Git Cow gentoo-dev 2019-11-30 07:49:42 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b44a1be8b8e28517ce843e630e30ccc1ddf3fae4

commit b44a1be8b8e28517ce843e630e30ccc1ddf3fae4
Author:     Jaco Kroon <jaco@uls.co.za>
AuthorDate: 2019-11-10 18:29:19 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2019-11-30 07:48:56 +0000

    net-misc/asterisk: version bump to 13.29.1 + maintainership
    
    Converted to GLEP 81 for user+group.
    Consolidated a few DEPEND issues.
    Dropped pkg_config phase function.
    Took maintainership.
    Fixed a bunch of other issues from pkgcheck (${D} and ${ROOT} not having
        a / following it directly).
    Bumped to EAPI=7
    Use $ED over $D where applicable.
    Fix statsd integration.
    Update depend on virtual/mysql to db/mysql-connector-c
    Enable NOISY_BUILD as requested (instructed) by slyfox.
    Fix /usr/share/doc/${PV} being asterisk: owned.
    Make SSL optional.
    
    This commit enables progress on the GLSA bug: https://bugs.gentoo.org/689796
    
    Might close: https://bugs.gentoo.org/594160 (SIGILL, may be GRSEC, or #667498)
    
    Package-Manager: Portage-2.3.76, Repoman-2.3.16
    Closes: https://bugs.gentoo.org/631464
    Closes: https://bugs.gentoo.org/654710
    Closes: https://bugs.gentoo.org/656472
    Closes: https://bugs.gentoo.org/666004
    Closes: https://bugs.gentoo.org/667498
    Closes: https://bugs.gentoo.org/670522
    Closes: https://bugs.gentoo.org/679804
    Closes: https://bugs.gentoo.org/686906
    Closes: https://bugs.gentoo.org/692696
    Signed-off-by: Jaco Kroon <jaco@uls.co.za>
    Closes: https://github.com/gentoo/gentoo/pull/13649
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 net-misc/asterisk/Manifest                |   2 +
 net-misc/asterisk/asterisk-13.29.1.ebuild | 327 ++++++++++++++++++++++++++++++
 net-misc/asterisk/metadata.xml            |  21 +-
 3 files changed, 342 insertions(+), 8 deletions(-)